	{ Ce schema decrit la presentation des paragraphes selon LaTeX.

	  V. Quint	Novembre 1987 }

PRESENTATION Paragraphe;

DEFAULT

   BEGIN
   HorizRef : Enclosed . HRef;
   VertRef : * . Left;
   Width : Enclosed . Width;
   Height : Enclosed . Height;
   VertPos : Top = Previous . Bottom + 0.2;
   HorizPos : Left = Enclosing . Left;
   Justify : Enclosing =;
   LineSpacing : Enclosing =;
   Visibility: Enclosing =;
   Font : Enclosing =;
   Style : Enclosing =;
   Size : Enclosing =;
   Adjust : Enclosing =;
   Indent : Enclosing =;
   Depth : 0;
   UnderLine: Enclosing =;
   Thickness: Enclosing =;
   LineStyle: Enclosing =;
   LineWeight: Enclosing =;
   Background: Enclosing =;
   Foreground: Enclosing =;
   Fillpattern: Enclosing =; 
   END;

BOXES

   BoxBQuote :
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '\begin{quotation}';
	END;

   BoxEQuote :
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '\end{quotation}';
	END;

   BoxBExample :
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '\begin{example}';
	END;

   BoxEExample :
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '\end{example}';
	END;

   BoxNL :
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '\\\\';
	END;

   BoxBItemize : 
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '\begin{itemize}';
	END;

   BoxEItemize :
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '\end{itemize}';
	END;

   BoxBEnumerate : 
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '\begin{enumerate}';
	END;

   BoxEEnumerate :
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '\end{enumerate}';
	END;

   BoxItem :
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '\item';
	END;

   BoxBDescr :
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '\begin{description}';
	END;

   BoxEDescr :
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '\end{description}';
	END;
   
   BoxItemDescr :
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '\item{';
	END;

   BoxBrace :
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '}';
	END;

   BoxParag :
	BEGIN
	Width : Enclosing . Width;
	Style : Bold;
	Content : TEXT '\paragraph{';
	END;

RULES

   Paragraphe :
	BEGIN
	Width : Enclosing . Width;
	VertPos : Top = Previous . Bottom + 1.2;
	END;

   Simple_paragraphe :
	BEGIN
	Line;
	Width : Enclosing . Width;
	VertPos : Top = Previous . Bottom + 1.2;
	END;

   Citation :
	BEGIN
	CreateBefore(BoxBQuote);
	CreateAfter(BoxEQuote);
	Line;
	Width : Enclosing . Width - 2;
	HorizPos : Left = Enclosing . Left + 2;
	END;

   Exemple :
	BEGIN
	CreateBefore(BoxBExample);
	CreateAfter(BoxEExample);
	Width : Enclosing . Width - 3;
	HorizPos : Left = Enclosing . Left + 3;
	END;

   Ligne_exemple :
	BEGIN
	Width : Enclosing . Width;
	Line;
	CreateLast(BoxNL);
	END;

   Enum\351ration :
	BEGIN
	CreateBefore(BoxBEnumerate);
	CreateAfter(BoxEEnumerate);
	Width : Enclosing . Width - 2;
	HorizPos : Left = Enclosing . Left + 2;
	END;

   Item_\351num\351ration :
	BEGIN
	CreateBefore (BoxItem);
	Width : Enclosing . Width;
	END;

   Liste :
	BEGIN
	CreateBefore(BoxBItemize);
	CreateAfter(BoxEItemize);
	Width : Enclosing . Width - 2;
	HorizPos : Left = Enclosing . Left + 2;
	END;

   Item_liste :
	BEGIN
	CreateBefore (BoxItem);
	Width : Enclosing . Width;
	END;

   Description :
	BEGIN
	CreateBefore(BoxBDescr);
	CreateAfter(BoxEDescr);
	Width : Enclosing . Width - 2;
	HorizPos : Left = Enclosing . Left + 2;
	END;

   Element_Description :
	BEGIN
	Width : Enclosing . Width;
	END;

   Intitul\351_descr :
	BEGIN
	CreateFirst(BoxItemDescr);
	CreateLast(BoxBrace);
	Line;
	END;

   Texte_description :
	BEGIN
	Width : Enclosing . Width - 2;
	HorizPos : Left = Enclosing . Left + 2;
	END;

   Paragraphe_titr\351 :
	BEGIN
	Width : Enclosing . Width;
	END;

   Titre_parag :
	BEGIN
	CreateFirst(BoxParag);
	CreateLast(BoxBrace);
	Line;
	Width : Enclosing . Width;
	END;

   Contenu_parag :
	BEGIN
	Width : Enclosing . Width;
	END;

END
